package com.ynet.life.file.parser;

import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.FileConstants;

/* loaded from: com_ynet_life_file_parser.jar:com/ynet/life/file/parser/CommonParserFactory.class */
public class CommonParserFactory {
    private CommonParserFactory() {
    }

    public static CommonFileParserInterface createParser(String fileType) throws TranFailException {
        if (FileConstants.FILE_TYPE_CSV.equalsIgnoreCase(fileType)) {
            return new CommonCSVFileParser();
        }
        if (FileConstants.FILE_TYPE_TXT.equalsIgnoreCase(fileType)) {
            return new CommonTXTFileParser();
        }
        if (FileConstants.FILE_TYPE_XLS.equalsIgnoreCase(fileType)) {
            return new CommonXLSFileParser();
        }
        if (FileConstants.FILE_TYPE_XML.equalsIgnoreCase(fileType)) {
            return new CommonXMLFileParser();
        }
        if (FileConstants.FILE_TYPE_PDF.equalsIgnoreCase(fileType)) {
            return new CommonPDFFileParser();
        }
        throw FileConstants.EXCEPTION_WRONG_TYPE;
    }
}
